#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <kinematics.h>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushButton_mdi_pressed();

    void on_pushButton_halshow_pressed();



private:
    Ui::MainWindow *ui;

    void send_data(POS p, unsigned nr);
};
#endif // MAINWINDOW_H
