#include "read_robot_config.h"
#include <string>
#include <iostream>
#include <fstream>
#include <string.h>

unsigned int line_robot_id=0;
int robot_id=0;

read_robot_config::read_robot_config(std::string filename)
{
    std::string stdfilename = std::string(filename);
    unsigned int linenumber=0;
    char count[100];
    FILE *file=fopen(stdfilename.c_str(), "r"); //convert std::string to std::char

    while(file && fgets(count, sizeof(count), file)){
        linenumber++;

        if(strstr(count,"Robot_id")){
            //std::cout<<"Robot_id found at:"<<linenumber<<std::endl;
            line_robot_id=linenumber+1;
        }
        if(linenumber==line_robot_id){

            robot_id=std::stoi(count); //for double value's use "stod" instead;
        }
    }
}






